Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java	(revision 3444)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java	(revision 3445)
@@ -44,10 +44,10 @@
 		for (String folder : createfolders) {
 			new File(txmhomedir, folder).mkdirs();
 		}
-		File scriptsDirectory = new File(txmhomedir, "scripts/groovy");
-		File userDirectory = new File(scriptsDirectory, "user");
-		File systemDirectory = new File(scriptsDirectory, "system");
-		Log.fine("Installing Groovy files to " + userDirectory);
+		File scriptsDirectory = new File(txmhomedir, "scripts/groovy"); //$NON-NLS-1$
+		File userDirectory = new File(scriptsDirectory, "user"); //$NON-NLS-1$
+		File systemDirectory = new File(scriptsDirectory, "system"); //$NON-NLS-1$
+		Log.fine("Installing Groovy files to " + userDirectory); //$NON-NLS-1$
 		
 		// HashMap<String, String> publishedImports = new HashMap<String, String>();
 		// String IMPORTERPACKAGE="org/txm/scriptsimporter/";
@@ -82,14 +82,14 @@
 		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "sw/", samplesDirectory);
 		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "tal/", samplesDirectory);
 		
-		String bundle_id = "org.txm.groovy.core";
-		BundleUtils.copyFiles(bundle_id, "", "src/groovy", "", userDirectory, true);
+		String bundle_id = "org.txm.groovy.core"; //$NON-NLS-1$
+		BundleUtils.copyFiles(bundle_id, "", "src/groovy", "", userDirectory, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
-		bundle_id = "org.txm.core";
+		bundle_id = "org.txm.core"; //$NON-NLS-1$
 		
-		File scriptsPackageDirectory = new File(userDirectory, "org/txm/scripts/importer");
+		File scriptsPackageDirectory = new File(userDirectory, "org/txm/scripts/importer"); //$NON-NLS-1$
 		scriptsPackageDirectory.mkdirs();
-		BundleUtils.copyFiles(bundle_id, "src/java/", "org/txm/scripts/importer", "", scriptsPackageDirectory, true);
+		BundleUtils.copyFiles(bundle_id, "src/java/", "org/txm/scripts/importer", "", scriptsPackageDirectory, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		
 		
@@ -98,7 +98,7 @@
 	
 	@Override
 	public String getName() {
-		return "Groovy (org.txm.groovy.core)";
+		return "Groovy (org.txm.groovy.core)"; //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 3444)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 3445)
@@ -23,7 +23,7 @@
 	public boolean initialize() throws Exception {
 		
 		ImportEngines engines = Toolbox.getImportEngines();
-		File importsPackageDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/scripts/importer");
+		File importsPackageDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/scripts/importer"); //$NON-NLS-1$
 		
 		if (!importsPackageDirectory.exists()) {
 			return false;
@@ -32,7 +32,7 @@
 			if (!dir.isDirectory()) continue;
 			
 			String name = dir.getName();
-			File loader = new File(dir, name + "Loader.groovy");
+			File loader = new File(dir, name + "Loader.groovy"); //$NON-NLS-1$
 			if (loader.exists()) {
 				ScriptedImportEngine sengine = new GroovyScriptedImportEngine(dir);
 				if (engines.getEngine(name) == null) {
@@ -60,7 +60,7 @@
 	
 	@Override
 	public String getName() {
-		return "groovy scripted imports installers - not meant to be used";
+		return "groovy scripted imports installers - not meant to be used"; //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 3444)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 3445)
@@ -6,7 +6,7 @@
 	
 	public static final String PREFERENCES_NODE = GroovyPreferences.class.getName();// FrameworkUtil.getBundle(RPreferences.class).getSymbolicName();
 	
-	public static final String VERSION = "version";
+	public static final String VERSION = "version"; //$NON-NLS-1$
 	
 	/**
 	 * Gets the instance.
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMGroovyScriptEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMGroovyScriptEngine.java	(revision 3444)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMGroovyScriptEngine.java	(revision 3445)
@@ -11,7 +11,7 @@
 public class TXMGroovyScriptEngine extends ScriptEngine {
 	
 	public TXMGroovyScriptEngine() {
-		super("groovy");
+		super("groovy"); //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/InstallationPage/PathsInstallationPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/InstallationPage/PathsInstallationPage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/InstallationPage/PathsInstallationPage.java	(revision 3445)
@@ -10,7 +10,6 @@
 import org.eclipse.jface.viewers.ITreeContentProvider;
 import org.eclipse.jface.viewers.TreeViewer;
 import org.eclipse.jface.viewers.TreeViewerColumn;
-import org.eclipse.jface.viewers.ViewerComparator;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
@@ -23,6 +22,7 @@
 import org.eclipse.swt.widgets.Tree;
 import org.eclipse.ui.about.InstallationPage;
 import org.txm.Toolbox;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * Paths TabFolder for the Installation details page
@@ -36,7 +36,7 @@
 
 	public PathsInstallationPage() {
 		
-		this.setTitle(" TXM's paths");
+		this.setTitle(TXMUIMessages.TXMPaths);
 	}
 	
 	@Override
@@ -45,7 +45,7 @@
 		parent.setLayout(new GridLayout(1, false));
 		
 		Label l = new Label(parent, SWT.NONE);
-		l.setText("TXM commons paths list.\nClick on the 'Open...' button or double-click a line to open the selected path.");
+		l.setText(TXMUIMessages.TXMCommonPathListClickOnTheOpenButtonEtc);
 		l.setLayoutData(new GridData());
 		
 		treeViewer = new TreeViewer(parent);
@@ -95,7 +95,7 @@
 		});
 		
 		TreeViewerColumn nameColumn = new TreeViewerColumn(treeViewer, SWT.LEFT);
-		nameColumn.getColumn().setText("What");
+		nameColumn.getColumn().setText(TXMUIMessages.What);
 		nameColumn.getColumn().setWidth(200);
 		nameColumn.setLabelProvider(new ColumnLabelProvider() {
 			public String getText(Object element) {
@@ -104,7 +104,7 @@
 		});
 		
 		TreeViewerColumn pathColumn = new TreeViewerColumn(treeViewer, SWT.LEFT);
-		pathColumn.getColumn().setText("Paths");
+		pathColumn.getColumn().setText(TXMUIMessages.Paths);
 		pathColumn.getColumn().setWidth(200);
 		pathColumn.setLabelProvider(new ColumnLabelProvider() {
 			public String getText(Object element) {
@@ -114,19 +114,19 @@
 		
 		treeViewer.setInput(Arrays.asList(
 				
-				new Object[]{"Logs directory", new File(Toolbox.getTxmHomePath(), "logs")}, 
-				new Object[]{"Crash logs directory", new File(Toolbox.getInstallDirectory())},
-				new Object[]{"TXM user home directory", new File(Toolbox.getTxmHomePath())},
-				new Object[]{"Installation directory", new File(Toolbox.getInstallDirectory())}, 
-				new Object[]{"Instance configuration file", new File(Toolbox.getConfigurationDirectory(), "launcher.ini")}, 
-				new Object[]{"Instance configuration directory", new File(Toolbox.getConfigurationDirectory())} 
+				new Object[]{TXMUIMessages.LogsDirectory, new File(Toolbox.getTxmHomePath(), "logs")},  //$NON-NLS-2$ //$NON-NLS-1$ //$NON-NLS-1$
+				new Object[]{TXMUIMessages.CrashLogsDirectory, new File(Toolbox.getInstallDirectory())},
+				new Object[]{TXMUIMessages.TXMUserHomeDirectory, new File(Toolbox.getTxmHomePath())},
+				new Object[]{TXMUIMessages.InstallationDirectory, new File(Toolbox.getInstallDirectory())}, 
+				new Object[]{TXMUIMessages.InstanceConfigurationFile, new File(Toolbox.getConfigurationDirectory(), "launcher.ini")},  //$NON-NLS-2$ //$NON-NLS-1$ //$NON-NLS-1$
+				new Object[]{TXMUIMessages.InstanceConfigurationDirectory, new File(Toolbox.getConfigurationDirectory())} 
 				
 		));
 		
 		Button openButton = new Button(parent, SWT.NONE);
 		openButton.setLayoutData(new GridData());
-		openButton.setText("Open...");
-		openButton.setToolTipText("Open the selected path with the default tool set by the system.");
+		openButton.setText(TXMUIMessages.OpenEtc);
+		openButton.setToolTipText(TXMUIMessages.OpenTheSelectedPathWithTheDefaultToolSetByTheSystem);
 		openButton.addSelectionListener(new SelectionListener() {
 			
 			@Override
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 3445)
@@ -61,7 +61,7 @@
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 
-		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
+		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 		FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteLastGroovyScript.java	(revision 3445)
@@ -90,6 +90,6 @@
 			return;
 		}
 		
-		ExecuteGroovyScript.executeScript(currentRootDir, lastScript.getAbsolutePath(), page, selection, false, "", null, null);
+		ExecuteGroovyScript.executeScript(currentRootDir, lastScript.getAbsolutePath(), page, selection, false, "", null, null); //$NON-NLS-1$
 	}
 }
\ No newline at end of file
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 3445)
@@ -88,29 +88,29 @@
 		String filename = null, filepath = null;
 		File script = null;
 		Boolean updateMode = false;
-		if (event.getParameters().containsKey("org.txm.rcp.commands.importscript")) {
+		if (event.getParameters().containsKey("org.txm.rcp.commands.importscript")) { //$NON-NLS-1$
 			filename = event.getParameter("org.txm.rcp.commands.importscript"); //$NON-NLS-1$
 			filepath = "scripts/groovy/user/org/txm/scripts/importer/" + filename; //$NON-NLS-1$
 		}
-		else if (event.getParameters().containsKey("org.txm.rcp.commands.usecorporaselection")) {
-			boolean useCorporaSelection = "true".equals(event.getParameter("org.txm.rcp.commands.usecorporaselection")); //$NON-NLS-1$
+		else if (event.getParameters().containsKey("org.txm.rcp.commands.usecorporaselection")) { //$NON-NLS-1$
+			boolean useCorporaSelection = "true".equals(event.getParameter("org.txm.rcp.commands.usecorporaselection")); //$NON-NLS-1$ //$NON-NLS-2$
 			//filepath = "scripts/groovy/user/org/txm/scripts/importer/" + filename; //$NON-NLS-1$
 		} 
 		else {
 			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 			FileDialog dialog = new FileDialog(shell, SWT.SAVE);
-			dialog.setFilterPath(Toolbox.getTxmHomePath() + "/scripts/groovy/user/org/txm/scripts/importer");
+			dialog.setFilterPath(Toolbox.getTxmHomePath() + "/scripts/groovy/user/org/txm/scripts/importer"); //$NON-NLS-1$
 			filepath = dialog.open();
 			
 			if (filepath == null) {
-				Log.warning("No Groovy entry point script selected. Aborted.);");
+				Log.warning(TXMUIMessages.NoGroovyEntryPointScriptSelectedAborted);
 				return null;
 			}
 			script = new File(filepath);
 		}
 		
-		if (event.getParameters().containsKey("org.txm.rcp.commands.importupdatemode")) {
-			updateMode = "true".equals(event.getParameter("org.txm.rcp.commands.importupdatemode"));
+		if (event.getParameters().containsKey("org.txm.rcp.commands.importupdatemode")) { //$NON-NLS-1$
+			updateMode = "true".equals(event.getParameter("org.txm.rcp.commands.importupdatemode")); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		OpenImportForm.open(script, updateMode);
@@ -239,14 +239,14 @@
 	 * @return
 	 */
 	public static boolean getImportScriptFromToolboxPlugin(File script) {
-		Log.fine("Retriving " + script + " from Toolbox plugin if script.date < toolbox_script.date...");
+		Log.fine("Retriving " + script + " from Toolbox plugin if script.date < toolbox_script.date..."); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		// retrieve the script relative path "quickLoader" -> "quick"
 		String scriptPackage = script.getName();
-		int idx = scriptPackage.indexOf("Loader");
-		scriptPackage = "org/txm/scripts/importer/" + scriptPackage.substring(0, idx);
+		int idx = scriptPackage.indexOf("Loader"); //$NON-NLS-1$
+		scriptPackage = "org/txm/scripts/importer/" + scriptPackage.substring(0, idx); //$NON-NLS-1$
 		
-		return BundleUtils.replaceFilesIfNewer("org.txm.groovy.core", "src/groovy", scriptPackage,
+		return BundleUtils.replaceFilesIfNewer("org.txm.groovy.core", "src/groovy", scriptPackage, //$NON-NLS-1$ //$NON-NLS-2$
 				script.getName(), script);
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 3445)
@@ -70,7 +70,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
 		// get scripts dir
-		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "macro"); //$NON-NLS-1$
 		
 		// if selection is a file, get its path
@@ -114,12 +114,12 @@
 		if (name == null) return false;
 		if (dir == null) return false;
 		
-		int idx = dir.indexOf("scripts/macro/org/txm/macro/");
-		String packagePath = "org.txm.macro";
+		int idx = dir.indexOf("scripts/macro/org/txm/macro/"); //$NON-NLS-1$
+		String packagePath = "org.txm.macro"; //$NON-NLS-1$
 		if (idx > 0) {
-			String sub = dir.substring(idx + "scripts/macro/org/txm/macro/".length(), dir.length()).replaceAll("/", ".").replaceAll("\\\\", ".");
+			String sub = dir.substring(idx + "scripts/macro/org/txm/macro/".length(), dir.length()).replaceAll("/", ".").replaceAll("\\\\", "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			if (sub.trim().length() > 0) {
-				packagePath += "." + sub;
+				packagePath += "." + sub; //$NON-NLS-1$
 			}
 		}
 		name = name.replaceAll("\\p{Punct}", ""); //$NON-NLS-1$ //$NON-NLS-2$
@@ -150,9 +150,9 @@
 					
 					PrintWriter writer = IOUtils.getWriter(newfile, "UTF-8"); //$NON-NLS-1$
 					
-					writer.println("// Copyright © " + Calendar.getInstance().get(Calendar.YEAR) + " MY_INSTITUTION");
-					writer.println("// Licensed under the terms of the GNU General Public License version 3 (http://www.gnu.org/licenses/gpl-3.0.html)");
-					writer.println("// @author " + System.getProperty("user.name"));
+					writer.println("// Copyright © " + Calendar.getInstance().get(Calendar.YEAR) + " MY_INSTITUTION"); //$NON-NLS-1$ //$NON-NLS-2$
+					writer.println("// Licensed under the terms of the GNU General Public License version 3 (http://www.gnu.org/licenses/gpl-3.0.html)"); //$NON-NLS-1$
+					writer.println("// @author " + System.getProperty("user.name")); //$NON-NLS-1$ //$NON-NLS-2$
 					
 					writer.println(""); //$NON-NLS-1$
 					writer.println("// STANDARD DECLARATIONS"); //$NON-NLS-1$
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 3445)
@@ -117,7 +117,7 @@
 			}
 			dialog.setFilterExtensions(new String[] { "*.groovy" }); //$NON-NLS-1$
 
-			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
+			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 			dialog.setFilterPath(scriptCurrentDir);
 			result = dialog.open();
@@ -190,19 +190,19 @@
 		if (!script.exists()) return Status.CANCEL_STATUS;
 
 		String ext = script.getName();
-		int i = ext.lastIndexOf(".");
+		int i = ext.lastIndexOf("."); //$NON-NLS-1$
 		if (i > 0) {
 			ext = ext.substring(i+1);
 		}
 
-		if ("groovy".equals(ext)) { // TODO make Groovy a script engine
+		if ("groovy".equals(ext)) { // TODO make Groovy a script engine //$NON-NLS-1$
 			return ExecuteGroovyScript.executeScript(scriptpath, page, selection);
 		} else {
 			ScriptEngine se = (ScriptEngine) Toolbox.getEngineManager(EngineType.SCRIPT).getEngine(ext);
 			if (se != null) {
 				HashMap<String, Object> env = new HashMap<String, Object>();
-				env.put("page", page); // selection
-				env.put("selection", selection); // selection
+				env.put("page", page); // selection //$NON-NLS-1$
+				env.put("selection", selection); // selection //$NON-NLS-1$
 				return se.executeScript(script, env, stringArgs);
 			} else {
 				System.out.println(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteText.java	(revision 3445)
@@ -85,7 +85,7 @@
 		if (script.getName().endsWith(".groovy")) { //$NON-NLS-1$
 			ExecuteGroovyText.executeText(text, scriptfile);
 		} else if (script.getName().endsWith(".R")) { //$NON-NLS-1$
-			System.out.println("Execute R text selection not implemented");
+			System.out.println(TXMUIMessages.ExecuteRTextSelectionNotImplemented);
 			//ExecuteRText.executeText(text);
 		} else {
 			System.out.println(TXMUIMessages.noInterpreterFoundForScriptFileExtension+script.getName());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 3445)
@@ -79,7 +79,7 @@
 			result = filenameParameter;
 			File f = new File(filenameParameter);
 			if (!f.exists()) { // file not found, try locating it in Groovy scripts
-				f = new File(Toolbox.getTxmHomePath() + "/scripts/groovy/user", filenameParameter);
+				f = new File(Toolbox.getTxmHomePath() + "/scripts/groovy/user", filenameParameter); //$NON-NLS-1$
 				if (f.exists()) { // found !
 					result = f.getAbsolutePath();
 				}
@@ -121,7 +121,7 @@
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "groovy/user"); //$NON-NLS-1$
 		
-		if (scriptpath.endsWith(".groovy")) {
+		if (scriptpath.endsWith(".groovy")) { //$NON-NLS-1$
 			return ExecuteGroovyScript.executeScript(currentRootDir, scriptpath, page, selection, false, stringArgs, parameters, defaultParameters);
 		} else {
 			return ExecuteScript.executeScript(scriptpath, page, selection, stringArgs);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3445)
@@ -107,7 +107,7 @@
 			result = filenameParameter;
 			File f = new File(filenameParameter);
 			if (!f.exists()) { // file not found, try locating it in Groovy scripts
-				f = new File(Toolbox.getTxmHomePath() + "/scripts/groovy/user", filenameParameter);
+				f = new File(Toolbox.getTxmHomePath() + "/scripts/groovy/user", filenameParameter); //$NON-NLS-1$
 				if (f.exists()) { // found !
 					result = f.getAbsolutePath();
 				}
@@ -247,7 +247,7 @@
 				try {
 					gse = GSERunner.buildDefaultGSE();
 					if (gse == null) {
-						Log.severe("Could not create the Groovy script engine. Aborting...");
+						Log.severe(TXMUIMessages.CouldNotCreateTheGrrovyScriptEngineAborting);
 						return Status.CANCEL_STATUS;
 					}
 					
@@ -262,11 +262,11 @@
 					binding.setProperty("stringArgs", stringArgs); //$NON-NLS-1$
 					if (parameters != null) binding.setProperty("args", parameters); //$NON-NLS-1$
 					if (defaultParameters != null) binding.setProperty("defaultArgs", defaultParameters); //$NON-NLS-1$
-					binding.setProperty("gse", gse);
+					binding.setProperty("gse", gse); //$NON-NLS-1$
 					Timer timer = new Timer();
 					binding.setProperty("timer", timer); //$NON-NLS-1$
 					
-					Log.info(NLS.bind("Compiling {0}...", scriptfile.getName()));
+					Log.info(NLS.bind(TXMUIMessages.CompilingP0Etc, scriptfile.getName()));
 					Script script = gse.createScript(relativepath, binding);
 					Log.info(NLS.bind(TXMUIMessages.executingGroovyScript, scriptfile.getName()));
 					script.run();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 3445)
@@ -106,7 +106,7 @@
 			System.err.println(NLS.bind(TXMUIMessages.p0ScriptFileDoesntExist, scriptfile));
 			return null;
 		}
-		final String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
+		final String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 
 		// get current selection of the corpora view
 				final Object corpusViewSelection = CorporaView.getFirstSelectedObject();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3445)
@@ -75,7 +75,7 @@
 	 */
 	public boolean checkCorpusEngine() {
 		if (!CQPSearchEngine.isInitialized()) {
-			Log.warning("Corpus Engine is not ready, canceling command.");
+			Log.warning(StatsEngineCoreMessages.CorpusEngineIsNotReadyCancelingCommand);
 			return false;
 		}
 		return true;
@@ -117,10 +117,10 @@
 		// yeah but selection might be tricky
 		// Object o = (IStructuredSelection) HandlerUtil.getCurrentSelection(event).getFirstElement();
 		if (o == null) {
-			Log.severe("BaseAbstractHandler.getCorporaViewSelectedObject(): current selection is null.");
+			Log.severe("BaseAbstractHandler.getCorporaViewSelectedObject(): current selection is null."); //$NON-NLS-1$
 		}
 		
-		Log.fine("BaseAbstractHandler.getCorporaViewSelectedObject(): selected object = " + o);
+		Log.fine("BaseAbstractHandler.getCorporaViewSelectedObject(): selected object = " + o); //$NON-NLS-1$
 		
 		return o;
 	}
@@ -175,7 +175,7 @@
 	 * @param selection
 	 */
 	protected boolean logCanNotExecuteCommand(Object selection) {
-		Log.severe("Can not execute command " + this.getClass() + " with the selection: " + selection + ".");
+		Log.severe(StatsEngineCoreMessages.CanNotExecuteTheP0CommandWithTheP1Selection + this.getClass() + " with the selection: " + selection + "."); //$NON-NLS-2$ //$NON-NLS-3$
 		return false;
 	}
 	
@@ -207,7 +207,7 @@
 	 */
 	public static Object executeCommand(String commandId, String resultUUID, Map<String, String> params) {
 		
-		Log.fine("BaseAbstractHandler.executeCommand(): calling command " + commandId + ".");
+		Log.fine("BaseAbstractHandler.executeCommand(): calling command " + commandId + "."); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
@@ -217,7 +217,7 @@
 		
 		// Redefine the command supported parameters, without that each command must define the parameter "result_parameters_node_path" in each plugin.xml...
 		if (resultUUID != null) {
-			Log.fine("BaseAbstractHandler.executeCommand(): preparing the send of result UUID: " + resultUUID + ".");
+			Log.fine("BaseAbstractHandler.executeCommand(): preparing the send of result UUID: " + resultUUID + "."); //$NON-NLS-1$ //$NON-NLS-2$
 			try {
 				IParameter[] parameters = new IParameter[] { new IParameter() {
 					
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResultParameters.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResultParameters.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResultParameters.java	(revision 3445)
@@ -83,7 +83,7 @@
 		
 		String extensions[] = { "*.parameters" }; //$NON-NLS-1$
 		dialog.setFilterExtensions(extensions);
-		dialog.setFileName(((TXMResult) s).getValidFileName() + ".parameters");
+		dialog.setFileName(((TXMResult) s).getValidFileName() + ".parameters"); //$NON-NLS-1$
 		if (LastOpened.getFile(ID) != null) {
 			dialog.setFilterPath(LastOpened.getFolder(ID));
 		}
@@ -126,13 +126,13 @@
 						
 						TXMResult r = (TXMResult) s;
 						if (r.isAltered()) {
-							System.out.println("Warning: only parameters are exported, manual changes are not transfered.");
+							System.out.println(TXMUIMessages.ExportResultParameters_WarningOnlyTheParametersAreExportedManualChangesAreNotTransfered);
 						}
 						else {
 							r.compute(subMonitor); // refresh result
 						}
 						if (r.toParametersFile(outfile)) {
-							System.out.println(NLS.bind("Parameters exported to the {0} file.", outfile));
+							System.out.println(NLS.bind(TXMUIMessages.ExportResultParameters_ParametersExportedToTheP0File, outfile));
 						}
 						
 						if (outfile.exists()) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResult.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResult.java	(revision 3445)
@@ -124,7 +124,7 @@
 						TXMResult r = parent.importResult(outfile);
 						CorporaView.refreshObject(r);
 						if (r != null) {
-							System.out.println(NLS.bind("{0} result imported from the {0} file.", r, outfile));
+							System.out.println(NLS.bind(TXMUIMessages.P0ResultsImportedFromTheP1File, r, outfile));
 						}
 					}
 					catch (ThreadDeath td) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameters.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameters.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameters.java	(revision 3445)
@@ -125,7 +125,7 @@
 						TXMResult r = (TXMResult) s;
 						if (r.importParameters(outfile)) {
 							CorporaView.refreshObject(r);
-							System.out.println(NLS.bind("Parameter imported from the {0} file.", outfile));
+							System.out.println(NLS.bind("Parameter imported from the {0} file.", outfile)); //$NON-NLS-1$
 							SWTEditorsUtils.refreshEditors(r);
 						}
 					}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 3445)
@@ -152,7 +152,7 @@
 							Log.info(TXMUIMessages.bind(TXMUIMessages.doneInP0, ExecTimer.stop()));
 						}
 						else {
-							Log.warning("Exported object is not a TXMResult result");
+							Log.warning(TXMUIMessages.TheExportedObjectIsNotATXMResultResult);
 							return Status.CANCEL_STATUS;
 						}
 						
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/CloneTXMResult.java	(revision 3445)
@@ -33,6 +33,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.results.TXMResult;
 import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.utils.logger.Log;
 
@@ -57,7 +58,7 @@
 		//System.out.println("CloneTXMResult.execute() selection class: " + selection);
 
 		if (!(selection.getFirstElement() instanceof TXMResult))	{
-			System.out.println("Only TXMResult can be cloned.");
+			System.out.println(TXMUIMessages.OnlyATXMResultCanBeCloned);
 			return super.logCanNotExecuteCommand(selection);
 		}
 
@@ -65,7 +66,7 @@
 
 		TXMResult parent = srcNode.getParent();
 		if (srcNode.isAltered()) {
-			Log.info("Warning: only parameters are cloned, manual changes are not transfered.");
+			Log.info(TXMUIMessages.WarningOnlyParametersAreClonedManualChangesAreNotTransfered);
 		}
 		srcNode.clone(false);
 
